import java.util.Scanner;

public class Pecina {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);

        int N = sc.nextInt();
        int L = sc.nextInt();
        int[] H = new int[N];

        for (int i = 0; i < N; i++) {
            H[i] = sc.nextInt();
        }

        int rezultat = -1;
        for (int i = 0; i < N; i++) {
            if (H[i] <= L) {
                rezultat = i + 1;
                break;
            }
        }

        System.out.println(rezultat);
        sc.close();
    }
}